Bug 440073 - lpr doesn't accept multiple filenames
lpr doesn't accept multiple filenames
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-01 12:38 EDT by Penelope Fudd
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 23:04:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2008-04-01 12:38:08 EDT
Description of problem:
I print with "lpr filename.pdf", but when I try "lpr *.pdf", nothing prints.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. lpr *.pdf
Actual results:
No output

Expected results:
Several files should be printed.

Additional info:
Comment 1 Tim Waugh 2008-04-15 08:52:50 EDT
I can't reproduce this problem on Fedora 8, and I don't have Fedora 7 to hand
for testing currently.  Please try this, as root:

1. Edit /etc/cups/cupsd.conf and change the 'LogLevel' line to read:

LogLevel debug2

2. Stop CUPS:

/sbin/service cups stop

3. Clear out the CUPS error log:


4. Start CUPS:

/sbin/service cups start

5. Now, as the user you are normally logged in as, submit your print job using
'lpr *.pdf' as before, obviously making sure that you are in the same directory
as your PDF files.  Wait a few moments.

6. Next, submit one single PDF file using 'lpr filename.pdf'.  Wait until the
job has finished printing.

7. Now attach the /var/log/cups/error_log file to this bug report.

Comment 2 Bug Zapper 2008-05-14 11:24:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:04:37 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.